const getArgValue = (args, arg, transformer = (v) => v) => {
  const argValue = args.find((a) => a.startsWith(`${arg}=`));
  const slicedValue = argValue.slice(`${arg}=`.length);
  try {
    if (slicedValue) {
      return transformer(slicedValue);
    }
  } catch (error) {
    return slicedValue;
  }
};

module.exports = {
  getArgValue,
};
